<?php
error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ob_start();
session_start();
if((($_SERVER['SERVER_ADDR']==$_SESSION['demo_server_ip']) && ($_SERVER['REMOTE_ADDR']!=$_SESSION['demo_developer_ip']) && ($_SESSION['id_user']==$_SESSION['demo_user_id'])) || ($_SESSION['sml_si']!=session_id())) {
    //DEMO CHECK
    die();
}
require_once("../functions.php");
require_once("../../db/connection.php");
session_write_close();
$name = strip_tags($_POST['name']);
$icon = strip_tags($_POST['icon']);
$background = strip_tags($_POST['background']);
$color = strip_tags($_POST['color']);
$position = (int)$_POST['position'];
$array_lang = json_decode($_POST['array_lang'],true);
$query = "INSERT INTO sml_map_categories(name,icon,background,color,position) VALUES(?,?,?,?,?);";
if($smt = $mysqli->prepare($query)) {
    $smt->bind_param('ssssi',  $name,$icon,$background,$color,$position);
    $result = $smt->execute();
    if ($result) {
        $insert_id = $mysqli->insert_id;
        save_input_langs($array_lang,'sml_map_categories_lang','id_map_category',$insert_id);
        ob_end_clean();
        echo json_encode(array("status"=>"ok","id"=>$insert_id));
        exit;
    } else {
        ob_end_clean();
        echo json_encode(array("status"=>"error"));
    }
} else {
    ob_end_clean();
    echo json_encode(array("status"=>"error"));
}